<?php

    $app_name = "Project management";
    $hostname = "localhost";
    $hide_boxerror = ' style="display:none;"';
    $hide_form = $install_succes = $install_error = $app_domain = $app_path = $username = $password = $database = '';
    
    if(isset($_POST['send_install']))
    {
        $li_error = '';
        
        $app_name   = $_POST['app_name'];
        $app_domain = $_POST['app_domain'];
        $app_path   = $_POST['app_path'];
        
        $hostname = $_POST['db_hostname'];
        $username = $_POST['db_username'];
        $password = $_POST['db_password'];
        $database = $_POST['db_database'];
        
        
        if($app_name == '' || $app_domain == '' || $hostname == '' || $username == '' || $database == '')
        {
            $li_error .= '                        <li>All fields are required !</li>'."\n";
            
        } else {
        
            @mysql_connect($hostname, $username, $password) or $db_error = mysql_error();
            @mysql_select_db($database) or $dbs_error = mysql_error();
            
            if(isset($db_error))  $li_error .= '                        <li>Error connect to server: '.$db_error.'</li>'."\n";
            if(isset($dbs_error)) $li_error .= '                        <li>Error select database: '.$dbs_error.'</li>'."\n";
            
            if($li_error == '')
            {
                $db_management = "install/management.sql";
                
                /* import sql database */
                $query = "";
                $file_content = file($db_management);
                foreach($file_content as $sql_line)
                {
                    if(trim($sql_line) != "" && strpos($sql_line, "--") === false){
                        $query .= $sql_line;
                        if (substr(rtrim($query), -1) == ';'){
                            $result = @mysql_query($query)or $dbl_error = mysql_error();
                            $query = "";
                        }
                    }
                }
                
                if(isset($dbl_error)) $li_error .= '                        <li>Error import database: '.$dbl_error.'</li>'."\n";

            }
            
            if($li_error == '')
            {
                /* write settings */
                $settings = '<?php'."\n"
                
                           .'   $install[\'title\']    = "'.$app_name.'";'."\n"
                           .'   $install[\'base_url\'] = "http://'.$app_domain.'/'.$app_path.'";'."\n"
                           .'   $install[\'base_domain\'] = "'.$app_domain.'";'."\n"
                           .'   $install[\'base_path\'] = "'.$app_path.'";'."\n"
                           
                           .'   $install[\'hostname\'] = "'.$hostname.'";'."\n"
                           .'   $install[\'username\'] = "'.$username.'";'."\n"
                           .'   $install[\'password\'] = "'.$password.'";'."\n"
                           .'   $install[\'database\'] = "'.$database.'";'."\n"
                           
                           .'?>'."\n";
                           
                $installsettings = fopen("install.settings.php", "w");
                fwrite ($installsettings, $settings);
                fclose ($installsettings);
                
                
                $install_succes = '                <div class="box success">'."\n"
                                 .'                    <p><strong>Info:</strong> Success ! The project management platform was instaled successful.</p>'."\n"
                                 .'                    <ul>'."\n"
                                 .'                        <li>Please remove the install.php !</li>'."\n"
                                 .'                    </ul>'."\n"
                                 .'                </div>'."\n";

                /* set permision to avatars folder*/ 
                chmod("system/application/views/management/avatar/", 0777);
                $app_name = $app_domain = $app_path = $hostname = $username = $password = $database = "";
                unset($_POST['send_install']);
            }
        }
        
        $install_error =  '                <div class="box error">'."\n"
                         .'                    <p><strong>Info:</strong> Error ! These problems occurred during installation: </p>'."\n"
                         .'                    <ul>'."\n"
                         .$li_error
                         .'                    </ul>'."\n"
                         .'                </div>'."\n";
        
        $install_error = ($li_error != "")? $install_error:"";
    }
    
    if(is_file('install.settings.php'))
    {
        $hide_form     = ' style="display:none;"';
        $hide_boxerror = '';
    }
    
?>
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head>
<title>Project management platform: Installer</title>
<meta http-equiv="content-type" content="text/html; charset=utf-8" />
<link rel="stylesheet" type="text/css" media="screen" href="_install/css/style.css" />
</head>
<body>

    <div id="install">
        <div class="inner">
            <form name="app_install" action="index.php" method="post"<?php echo $hide_form; ?>>
                <h2>Project management platform: Installer</h2>
                <h2>Wellcome</h2>
                <div class="box">
                    <p>Welcome to the simplest project management installation process! Fill the info below and be ready to ease your work with this awesome PM application.</p>
                </div>
                <h2>General settings</h2>
                <div class="box">
                    <div class="field">
                        <label>Application name</label>
                        <input type="text" name="app_name" value="<?php echo $app_name; ?>"/>
                    </div>
                    <div class="field">
                        <label>Domain</label>
                        <input type="text" name="app_domain" value="<?php echo $app_domain; ?>"/>
                        <span>ex: www.yourdomain.com</span>
                    </div>
                    <div class="field">
                        <label>Path</label>
                        <input type="text" name="app_path" value="<?php echo $app_path; ?>"/>
                        <span>ex: yourpath without trailing slashes</span>
                    </div>
                </div>
                <h2>Database settings</h2>
                <div class="box">
                    <p>Below you should enter your database connection details. If you're not sure about these, contact your host.</p>
                </div>
                <div class="box">
                    <div class="field">
                        <label>Hostname</label>
                        <input type="text" name="db_hostname" value="<?php echo $hostname; ?>"/>
                        <span>server hostname</span>
                    </div>
                    <div class="field">
                        <label>Username</label>
                        <input type="text" name="db_username" value="<?php echo $username; ?>"/>
                        <span>your MYSQL username</span>
                    </div>
                    <div class="field">
                        <label>Password</label>
                        <input type="password" name="db_password" value="<?php echo $password; ?>"/>
                        <span>and your MYSQL password</span>
                    </div>
                    <div class="field">
                        <label>Database</label>
                        <input type="text" name="db_database" value="<?php echo $database; ?>"/>
                        <span>MYSQL database</span>
                    </div>
                </div>
<?php echo $install_error.$install_succes; ?>
                <input type="hidden" name="send_install" value="ok" />
                <a class="btn" href="javascript:document.app_install.submit();" title="Install app">Install</a>
            </form>
            
            <div class="box success"<?php echo $hide_boxerror; ?>>
                <p><strong>The project management platform is installed.</strong></p>
                <ul>
                    <li>Login information: <strong>username: admin</strong>, <strong>password: admin</strong></li>
                    <li>-------------------------------------------------------------------------</li>
                    <li style="color:#CA0002;">Please remove the "install.php" file from the root of the application.</li>
                    <li style="color:#CA0002;">If you want to reinstall the application please delete the "install.settings.php" file.</li>
                </ul>
            </div>
        </div>
    </div>

</body>
</html>