<?php 
    
    /* ie 7,8,9 fix */
    include_once('fix.ie.php');
    
    /* page options */
    $paused     = ($id_archive == 'paused')? "break='1'":"status='1'";
    $page_title = ($id_archive == 'paused')? $this->lang->line('paused'):$this->lang->line('completed');
    
    /* new tasks */
    $grammer_task = ($new_tasks == 1)? $this->lang->line('task_grammer1'):$this->lang->line('task_grammer2');
    
    /* page content */
    $projects = $this->db->query("SELECT * FROM projects WHERE $paused");
    
    /* no pagetitle projects */
    $search    = array('{PAGETITLE}');
    $replace   = array($page_title);
    $no_pause_complete_project = str_replace($search, $replace, $this->lang->line('no_pause_complete_project'));
    
    $list_content = '                 <div id="category1" class="tab">'."\n";
    if($projects->num_rows() > 0)
    {
        foreach($projects->result() as $project)
        {
            $percentage = $this->management->project_percentage($project->id_project);
            
            $list_content .= '                    <div class="box-task" id="inner_boxproject'.$project->id_project.'">'."\n"
                            .'                        <div class="lt"><a class="title" href="javascript:void(0);" onclick="project_view(\''.$project->id_cat.'\',\''.$project->id_project.'\',\'category1\');"  title="">'.$project->name_project.'</a>'.$this->management->descriptionSpan($project->name_project,$project->description).'</div>'."\n"
                            .'                        <div class="rt">'."\n"
                            .'                            <span class="deadline">'.$this->lang->line('project_deadline').' '.date("m-d-Y", $project->deadline).'</span>'."\n"
                            .'                            <div class="bar" id="inner_content_progress'.$project->id_project.'">'."\n"
                            .'                                <span class="mask tooltip" title="'.$this->lang->line('bar_progress').' '.$percentage.'%">&nbsp;</span>'."\n"
                            .'                                <span class="progress" style="width: '.$percentage.'%;">&nbsp;</span>'."\n"
                            .'                            </div>'."\n"
                            .'                        </div>'."\n"
                            .'                    </div>'."\n";
        }
        
    } else {
        $list_content .= '                    <div class="box-task">'."\n"
                        .'                        <div class="lt"><span class="title">'.$no_pause_complete_project.'</span></div>'."\n"
                        .'                    </div>'."\n";
    }
    
    $list_content .= '                 </div>'."\n";
    
    /* hello message */
    $search    = array('{USERNAME}', '{TASKS}', '{GRAMMER_TASK}');
    $replace   = array($membername, '<strong>'.$new_tasks.'</strong>', $grammer_task);
    $hello_msg = str_replace($search, $replace, $this->lang->line('helo_username'));
    
    /* output */
    $content =   '        <script src="'.base_url().'system/application/views/management/js/ajax.functions.project.js" type="text/javascript"></script>'."\n"
                .'        <script src="'.base_url().'system/application/views/management/js/jquery.modalbox.js" type="text/javascript"></script>'."\n"
                .'        <script src="'.base_url().'system/application/views/management/js/ajax.functions.general.js" type="text/javascript"></script>'."\n"
                .'        <script src="'.base_url().'system/application/views/management/js/jquery.tooltip.js" type="text/javascript"></script>'."\n"

                .'        <div id="greeting">'."\n"
                .'            <a id="logo" href="javascript:void(0);" onclick="dashboard();" title=""></a>'."\n"
                .'            <a id="observation" href="javascript:void(0);" title="" onclick="my_tasks();">'.$hello_msg.'</a>'."\n"
                .'            <div class="clear"></div>'."\n"
                .'        </div>'."\n"
                
                .'        <div id="tabs">'."\n"
                .'            <div class="margin lt"></div>'."\n"
                .'            <div class="inner">'."\n"
                .'                <ul>'."\n"
                .'                    <li><a href="#category1" title="'.ucfirst($page_title).' '.$this->lang->line('projects_archive').'" class="selected"><span class="tab mlt">&nbsp;</span><span class="tab-bg">'.ucfirst($page_title).' '.$this->lang->line('projects_archive').'</span><span class="tab mrt">&nbsp;</span></a></li>'."\n"
                .'                </ul>'."\n"
                .'                <div class="form">'."\n"
                .'                    <input type="hidden" id="id_archive" value="'.$id_archive.'" />'."\n"
                .'                    <div class="field2"><div class="fld2 mlt"></div><input class="data" type="text" id="archive_start_date" value=""/><div class="fld2 mrt"></div><a class="btn-calendar" href="javascript:void(0);" title=""></a></div>'."\n"
                .'                    <div class="field2"><div class="fld2 mlt"></div><input class="data" type="text" id="archive_end_date" value=""/><div class="fld2 mrt"></div><a class="btn-calendar" href="javascript:void(0);" title=""></a></div>'."\n"
                .'                    <div class="field2"><div class="fld2 mlt"></div><input type="text" id="searchproject" onfocus="if(this.value==\''.$this->lang->line('search_project').'\')this.value=\'\';" onblur="if(this.value==\'\')this.value=\''.$this->lang->line('search_project').'\';" value="'.$this->lang->line('search_project').'" onkeypress="{if (event.keyCode==13)searchproject();}" autocomplete="off" /><div class="fld2 mrt"></div></div>'."\n"
                .'                    <a class="btn-search" href="javascript:void(0);" title="'.$this->lang->line('search_project').'" onclick="searchproject();"></a>'."\n"
                .'                </div>'."\n"
                .'                <div class="clear"></div>'."\n"
                .'            </div>'."\n"
                .'            <div class="margin rt"></div>'."\n"
                .'            <div class="clear"></div>'."\n"
                .'        </div>'."\n"
                
                .'        <div id="content">'."\n"
                .'            <div class="wait" id="loading_page" style="display:none;"><img src="img/activity_icon.gif" alt=""/></div>'."\n"
                .'            <div id="inner_projects_found" style="display:none;"></div>'."\n"
                .'            <div id="project" style="display:none;"></div>'."\n"
                .'            <div id="hide_when_searching">'."\n"
                .$list_content
                .'            </div>'."\n"
                .'        </div>'."\n"
        
                .'        <div id="footer">'."\n"
                .'            <div class="margin lt"></div>'."\n"
                .'            <div class="inner">'."\n"
                .'                <span class="copyright">'.$pm_version.' Copyright &#169; CodeGeeks - '.date('Y').'. All rights reserved.</span>'."\n"
                .'                <a class="go-top" href="#top" title="">'.$this->lang->line('go_top').'</a>'."\n"
                .'            </div>'."\n"
                .'            <div class="margin rt"></div>'."\n"
                .'            <div class="clear"></div>'."\n"
                .'        </div>'."\n";

    echo $content;
    
?>