<?php 

    /* ie 7,8,9 fix */
    include_once('fix.ie.php');
    
    $list_projects = ""; $i = 0;
    
    foreach($projects->result() as $project)
    {
        $list_projects .= '                    <div class="project">'."\n"
                         .'                        <p class="title">'.$project->name_project.'<span>'.$this->lang->line('project_deadline').' '.date("m-d-Y", $project->deadline).'</span></p>'."\n";

        $tasks = $this->db->query("SELECT tasks.id_task, tasks.task_name, tasks.date_added, tasks.status, tasks.id_user FROM tasks_group, tasks WHERE tasks_group.id_group = tasks.id_group AND tasks_group.id_project = '".$project->id_project."' AND tasks.id_user='".$id_user."' AND tasks.status='0'");

        $query_access_date = $this->db->query("SELECT access_date, name FROM members WHERE id_user='".$id_user."'");
        $access_date       = $query_access_date->row()->access_date;

        foreach($tasks->result() as $task)
        {
            $task_finished = ($task->status == 1)? " finished" : "";
            $task_checked  = ($task->status == 1)? " checked=\"checked\"" : " ";
            $class_newtask = ($task->date_added > $access_date)? " new" : "";

            $list_projects .= '                        <div class="task'.$task_finished.$class_newtask.'" id="taskbox_'.$task->id_task.'">'."\n"
                             .'                            <div class="margin lt"></div>'."\n"
                             .'                            <div class="inner" id="task'.$task->id_task.'">'."\n"
                             .'                                <label>'."\n"
                             .'                                    <input type="checkbox" name="task'.$task->id_task.'"'.$task_checked.' value="'.$task->id_task.'" onclick="task_completed(\''.$task->id_task.'\',\''.$project->id_project.'\',\'0\');" />'.$task->task_name."\n"
                             .'                                    <span id="taskname_'.$task->id_task.'" style="display:none;">'.$task->task_name.'</span>'."\n"
                             .'                                </label>'."\n";
                             
            if($session_acces == 1)
            $list_projects .= '                                <ul class="operations">'."\n"
                             .'                                    <li><a class="delete" href="javascript:void(0);" onclick="form_deletetask(\''.$task->id_task.'\',\'0\',\'0\');modal(\'#delete_tasks\');" title="'.$this->lang->line('delete_task').'"></a></li>'."\n"
                             .'                                </ul>'."\n";
                             
            $list_projects .= '                            </div>'."\n"
                             .'                            <div class="margin rt"></div>'."\n"
                             .'                        </div>'."\n";
                        
        }
            
        $list_projects .= '                    </div>'."\n";
        $i++;
    }
    
    /* reset new tasks */
    $update_timestamp = $this->db->query("UPDATE members SET access_date='".time()."' WHERE id_user='".$id_user."'");

    if($i == 0)
    {
        $list_projects .= '                    <div class="project">'."\n"
                         .'                        <p class="title">'.$this->lang->line('notask_formember').'</p>'."\n"
                         .'                    </div>'."\n";
    }

    /* new tasks */
    $grammer_task = ($new_tasks == 1)? $this->lang->line('task_grammer1'):$this->lang->line('task_grammer2');
    
    /* hello message */
    $search    = array('{USERNAME}', '{TASKS}', '{GRAMMER_TASK}');
    $replace   = array($membername, '<strong>'.$new_tasks.'</strong>', $grammer_task);
    $hello_msg = str_replace($search, $replace, $this->lang->line('helo_username'));

    /* output */
    $content =   '            <script src="'.base_url().'system/application/views/management/js/ajax.functions.project.js" type="text/javascript"></script>'."\n"
                .'            <script src="'.base_url().'system/application/views/management/js/jquery.modalbox.js" type="text/javascript"></script>'."\n"
                .'            <script src="'.base_url().'system/application/views/management/js/ajax.functions.general.js" type="text/javascript"></script>'."\n"

                .'        <div id="greeting">'."\n"
                .'            <a id="logo" href="javascript:void(0);" onclick="dashboard();" title=""></a>'."\n"
                .'            <a id="observation" href="javascript:void(0);" title="" onclick="my_tasks();">'.$hello_msg.'</a>'."\n"
                .'            <div class="clear"></div>'."\n"
                .'        </div>'."\n"
                
                .'        <div id="tasks">'."\n"
                .'            <div class="margin lt"></div>'."\n"
                .'            <div class="inner">'."\n"
                .'                <div class="margin top"></div>'."\n"
                .'                <div class="title">'."\n"
                .'                    <p>'.$this->lang->line('my_tasks').' <span id="inner_remaining_tasks">'.$task_number.'</span></p>'."\n"
                .'                </div>'."\n"
                .'            </div>'."\n"
                .'            <div class="margin rt"></div>'."\n"
                .'        </div>'."\n"
                
                .'        <div id="content">'."\n"
                .'            <div id="wrap-tasks">'."\n"
                .'                <div class="inner">'."\n"
                .'                    <div class="separator"></div>'."\n"
                .$list_projects
                .'                </div>'."\n"
                .'                <div class="margin bottom"></div>'."\n"
                .'            </div>'."\n"
                .'        </div>'."\n"
                
                .'        <div id="footer">'."\n"
                .'            <div class="margin lt"></div>'."\n"
                .'            <div class="inner">'."\n"
                .'                <span class="copyright">'.$pm_version.' Copyright &#169; CodeGeeks - '.date('Y').'. All rights reserved.</span>'."\n"
                .'                <a class="go-top" href="#top" title="">'.$this->lang->line('go_top').'</a>'."\n"
                .'            </div>'."\n"
                .'            <div class="margin rt"></div>'."\n"
                .'            <div class="clear"></div>'."\n"
                .'        </div>'."\n";

    echo $content;
    
?>