<?php 

    if($controller_type == "box_archive_period")
    {
        /* archive interval select */
        $interval = explode('_',$interval);
        if($interval[0] != "" && $interval[1] != "")
        {
            $datain = explode("-", $interval[0]);
            $datasf = explode("-", $interval[1]);
            $timestamp_start = mktime(0,0,0,$datain['1'],$datain['0'],$datain['2']);
            $timestamp_end   = mktime(0,0,0,$datasf['1'],$datasf['0'],$datasf['2']);
            
            $interval_date = "AND timestamp >= $timestamp_start AND timestamp <= $timestamp_end";
        } else {
            $interval_date = "AND break='2'"; //NULL
        }
        $pause = ($interval[2] == 'paused') ? "break='1'" : "status='1'";
        
        $archive = "";
        $projects = $this->db->query("SELECT * FROM projects WHERE $pause $interval_date");
        if($projects->num_rows() > 0)
        {
            foreach($projects->result() as $project)
            {
                $percentage = $this->management->project_percentage($project->id_project);
                
                $archive .= '                    <div class="box-task">'."\n"
                           .'                        <div class="lt"><a class="title" href="javascript:void(0);" onclick="project_view(\''.$project->id_cat.'\',\''.$project->id_project.'\',\'0\');" title="">'.$project->name_project.'</a>'.$this->management->descriptionSpan($project->name_project,$project->description).'</div>'."\n"
                           .'                        <div class="rt">'."\n"
                           .'                            <span class="deadline">'.$this->lang->line('project_deadline').' '.date("m-d-Y", $project->deadline).'</span>'."\n"
                           .'                            <div class="bar" id="inner_content_progress'.$project->id_project.'">'."\n"
                           .'                                <span class="mask tooltip" title="'.$this->lang->line('bar_progress').' '.$percentage.'%">&nbsp;</span>'."\n"
                           .'                                <span class="progress" style="width: '.$percentage.'%;">&nbsp;</span>'."\n"
                           .'                            </div>'."\n"
                           .'                        </div>'."\n"
                           .'                    </div>'."\n";
            }
            
        } else {
        
            $archive .= '                    <div class="box-task">'."\n"
                      .'                        <div class="lt"><span class="title">'.$this->lang->line('noproject_interval').'</span></div>'."\n"
                      .'                    </div>'."\n";
        }
        $archive .= '                </div>'."\n";
    
    
        /* output */
        $content = '                    <script src="'.base_url().'system/application/views/management/js/jquery.tooltip.js" type="text/javascript"></script>'."\n"
                  .$archive;

        echo $content;
        
    }
    
?>