<?php 

    if($controller_type == "box_project")
    {
    
        /* project options */
        if($project->row()->break == 1)
        {
            $pause = 0;
            $pause_name = $this->lang->line('unpause_button');
        } else {
            $pause = 1;
            $pause_name = $this->lang->line('pause_button');
        }

        if($project->row()->status == 1)
        {
            $complete = 0;
            $complete_name = $this->lang->line('undone_button');
        } else {
            $complete = 1;
            $complete_name = $this->lang->line('done_button');
        }
        
        
        /* display task groups */
        $group_task = "";
        foreach($task_group->result() as $group)
        {
            $tasks_nr     = $this->db->query("SELECT COUNT(*) as number FROM tasks WHERE id_group='".$group->id_group."'");
            $tasks_complete = $this->db->query("SELECT COUNT(*) as number FROM tasks WHERE id_group='".$group->id_group."' AND status='1'");
            
            /* project progress language */
            $search    = array('{TASKCOMPLETE}', '{TASKNUMBER}');
            $replace   = array($tasks_complete->row()->number, $tasks_nr->row()->number);
            $progress_language = str_replace($search, $replace, $this->lang->line('project_progress'));

            $group_task .= '            <div id="task-group" class="taskgroup_'.$group->id_group.'">'."\n"
                          .'                <div class="wrap-task">'."\n"
                          .'                    <div class="margin top"></div>'."\n"
                          .'                    <div class="inner">'."\n"
                          .'                        <div class="lt"><span class="title" id="update_groupname'.$group->id_group.'">'.$group->group_name.'</span></div>'."\n"
                          .'                        <div class="rt" id="project_taskcomplete'.$group->id_group.'">'."\n"
                          .'                            <span class="completed">'.$this->lang->line('project_deadline').': '.date("m-d-Y", $group->deadline).' '.$progress_language.'</span>'."\n"
                          .'                            <a class="status" href="javascript:void(0);" title=""><span class="btn3 mlt">&nbsp;</span><span class="btn3-bg"><span class="arrow close">&nbsp;</span></span><span class="btn3 mrt">&nbsp;</span></a>'."\n"
                          .'                        </div>'."\n"
                          .'                    </div>'."\n"
                          .'                    <div class="drop-task hidden">'."\n"
                          .'                        <div class="separator"></div>'."\n";
                          
            $k = 0;
            $tasks = $this->db->query("SELECT * FROM tasks WHERE id_group='".$group->id_group."'");
            foreach($tasks->result() as $task)
            {
                $task_completed = ($task->status == 1)? " finished" : "";
                $task_checked   = ($task->status == 1)? " checked=\"checked\"" : " ";
                $member         = $this->db->query("SELECT name FROM members WHERE id_user='".$task->id_user."'");
                
                $user_name = ($member->num_rows() != 0)? $member->row()->name:'#'.$task->id_user.' '.$this->lang->line('user_deleted');

                $input_taskcompleted = ($task->id_user == $session_iduser || $session_acces == 1)? "<input type=\"checkbox\" name=\"task".$task->id_task."\"".$task_checked." value=\"".$task->id_task."\" onclick=\"task_completed('".$task->id_task."','".$project->row()->id_project."','".$group->id_group."');\" />" : "";

                $group_task .= '                        <div class="task'.$task_completed.'" id="taskbox_'.$task->id_task.'">'."\n"
                              .'                            <div class="margin lt"></div>'."\n"
                              .'                            <div class="inner" id="task'.$task->id_task.'">'."\n"
                              .'                                <label>'."\n"
                              .'                                    '.$input_taskcompleted.$task->task_name.' - '.$user_name."\n"
                              .'                                    <span id="taskname_'.$task->id_task.'" style="display:none;">'.$task->task_name.'</span>'."\n"
                              .'                                </label>'."\n";
                              
                if($session_acces == 1)
                $group_task .= '                                <ul class="operations">'."\n"
                              .'                                    <li><a class="delete" href="javascript:void(0);" onclick="form_deletetask(\''.$task->id_task.'\',\''.$project->row()->id_project.'\',\''.$group->id_group.'\'); modal(\'#delete_tasks\');" title="'.$this->lang->line('delete_this_task_title').'"></a></li>'."\n"
                              .'                                </ul>'."\n";
                              
                $group_task .= '                            </div>'."\n"
                              .'                            <div class="margin rt"></div>'."\n"
                              .'                        </div>'."\n";
                              
                $k++;
            }
            
            if($k == 0)
            {
                $group_task .= '                        <div class="task">'."\n"
                              .'                            <div class="margin lt"></div>'."\n"
                              .'                            <div class="inner">'."\n"
                              .'                                <label>'.$this->lang->line('notasks_ingroup').'</label>'."\n"
                              .'                            </div>'."\n"
                              .'                            <div class="margin rt"></div>'."\n"
                              .'                        </div>'."\n";
            }
            
                        

            $group_task .= '                        <div class="separator"></div>'."\n"
                          .'                        <ul class="members" id="group_responsible'.$group->id_group.'">'."\n";
                          

            $members = $this->db->query("SELECT DISTINCT id_user FROM tasks WHERE id_group='".$group->id_group."'");
            $responsibles = ""; $i = 0;
            foreach($members->result() as $user)
            {
                $member = $this->db->query("SELECT id_user, name, photo FROM members WHERE id_user='".$user->id_user."'");
                if($member->num_rows() != 0)
                {
                    $responsibles .= $member->row()->name.", ";
                    $photo = ($member->row()->photo == "")? "nophoto.jpg":$member->row()->photo;
                    if(!is_file('system/application/views/management/avatar/thumb_'.$photo)) $photo = "nophoto.jpg";
                    
                    $group_task .= '                            <li><a class="user" href="javascript:void(0);" onclick="update_infomember(\''.$member->row()->id_user.'\');" title="'.$member->row()->name.'"><img src="'.base_url().'system/application/views/management/avatar/thumb_'.$photo.'" alt="'.$photo.'" /></a></li>'."\n";
                } else {
                    $responsibles .= '#'.$user->id_user.' '.$this->lang->line('user_deleted').', ';
                    
                    $group_task .= '                            <li><a class="user" href="javascript:void(0);" title="#'.$user->id_user.' '.$this->lang->line('user_deleted').'"><img src="'.base_url().'system/application/views/management/avatar/thumb_nophoto.jpg" alt="nophoto" /></a></li>'."\n";
                }

                $i++;
            }
            
            $grammer     = ($i > 1)? " ".$this->lang->line('are_responsible'):" ".$this->lang->line('is_responsible');
            $responsible = ($k != 0)? substr($responsibles, 0, -2).$grammer : "";

            $group_task .= '                            <li>'.$responsible.'</li>'."\n"
                          .'                        </ul>'."\n";
            
            if($session_acces == 1)
            $group_task .= '                        <div class="operations">'."\n"
                          .'                            <span class="btn3 mlt">&nbsp;</span>'."\n"
                          .'                            <div class="btn3-bg">'."\n"
                          .'                                <ul>'."\n"
                          .'                                    <li><a class="modify" href="javascript:void(0);" onclick="updateform_modificagrup(\''.$group->id_group.'\',\''.$project->row()->id_project.'\');" title="'.$this->lang->line('modify_this_group').'"></a></li>'."\n"
                          .'                                    <li><a class="delete" href="javascript:void(0);" onclick="form_deletegroup(\''.$group->id_group.'\',\''.$project->row()->id_project.'\'); modal(\'#delete_grouptasks\');" title="'.$this->lang->line('delete_this_group').'"></a></li>'."\n"
                          .'                                </ul>'."\n"
                          .'                            </div>'."\n"
                          .'                            <span class="btn3 mrt">&nbsp;</span>'."\n"
                          .'                        </div>'."\n";
                          
                          
            $group_task .= '                        <div class="clear"></div>'."\n"
                          .'                    </div>'."\n"
                          .'                    <div class="margin bottom"></div>'."\n"
                          .'                </div>'."\n"
                          .'            </div>'."\n";
        }
        
        
        /* output */
        $content =   '            <script src="'.base_url().'system/application/views/management/js/ajax.functions.project.js" type="text/javascript"></script>'."\n"
                    .'            <script src="'.base_url().'system/application/views/management/js/ajax.project.js" type="text/javascript"></script>'."\n"
                    .'            <script src="'.base_url().'system/application/views/management/js/jquery.modalbox.js" type="text/javascript"></script>'."\n"
                    .'            <script src="'.base_url().'system/application/views/management/js/jquery.tooltip.js" type="text/javascript"></script>'."\n"
                    
                    .'            <div id="action">'."\n"
                    .'                <div class="margin lt"></div>'."\n"
                    .'                <div class="inner">'."\n"
                    .'                    <div class="lt"><span class="title">'.$project->row()->name_project.'</span></div>'."\n"
                    .'                    <div class="rt">'."\n"
                    .'                        <div class="status">'."\n"
                    .'                            <span class="deadline">'.$this->lang->line('project_deadline').' '.date("m-d-Y", $project->row()->deadline).'</span>'."\n"
                    .'                            <div class="bar" id="inner_project_progress">'."\n"
                    .'                                <span class="mask2 tooltip" title="'.$this->lang->line('bar_progress').' '.$percentage.'%">&nbsp;</span>'."\n"
                    .'                                <span class="progress" style="width: '.$percentage.'%;">&nbsp;</span>'."\n"
                    .'                            </div>'."\n"
                    .'                        </div>'."\n";
        
        if($session_acces == 1)
        $content .=  '                            <ul id="options">'."\n"
                    .'                                <li>'."\n"
                    .'                                    <a href="javascript:void(0);" class="dropdown-2" title=""><span class="btn2 mlt">&nbsp;</span><span class="btn2-bg">'.$this->lang->line('project_options').'</span><span class="btn2-sel">&nbsp;</span></a>'."\n"
                    .'                                    <div class="link-wrap hidden">'."\n"
                    .'                                        <div class="margin-cn"><div class="corner top-lt"></div><div class="corner top-rt"></div></div>'."\n"
                    .'                                        <ul>'."\n"
                    .'                                            <li><a href="javascript:void(0);" onclick="modal(\'#add-task\');" title="'.$this->lang->line('add_newtasks').'">'.$this->lang->line('add_newtasks').'</a></li>'."\n"
                    .'                                            <li><a href="javascript:void(0);" onclick="update_deleteproject(\''.$id_project.'\',\''.$id_category.'\');" title="'.$this->lang->line('delete_button').'">'.$this->lang->line('delete_button').'</a></li>'."\n"
                    .'                                            <li><a href="javascript:void(0);" onclick="update_modifyproject(\''.$id_project.'\',\''.$id_category.'\');" title="'.$this->lang->line('modify_button').'">'.$this->lang->line('modify_button').'</a></li>'."\n"
                    .'                                            <li id="updatepaused"><a href="javascript:void(0);" onclick="status_project(\'paused\','.$pause.',\''.$id_project.'\');" title="'.$pause_name.'">'.$pause_name.'</a></li>'."\n"
                    .'                                            <li id="updatecomplete"><a href="javascript:void(0);" onclick="status_project(\'complete\','.$complete.',\''.$id_project.'\');" title="'.$complete_name.'">'.$complete_name.'</a></li>'."\n"
                    .'                                        </ul>'."\n"
                    .'                                        <div class="margin-cn"><div class="corner bottom-lt"></div><div class="corner bottom-rt"></div></div>'."\n"
                    .'                                    </div>'."\n"
                    .'                                </li>'."\n"
                    .'                            </ul>'."\n";
        
        $content .=  '                    </div>'."\n"
                    .'                    <div class="clear"></div>'."\n"
                    .'                </div>'."\n"
                    .'                <div class="margin rt"></div>'."\n"
                    .'                <div class="clear"></div>'."\n"
                    .'                <input type="hidden" id="delete_task_idcategory" value="'.$id_category.'"/>'."\n"
                    .'            </div>'."\n"
                    .$group_task;

        echo $content;
        
    }
    
?>