-- phpMyAdmin SQL Dump
-- version 2.11.11
-- http://www.phpmyadmin.net
--
-- Host: localhost
-- Generation Time: Jul 06, 2011 at 12:29 PM
-- Server version: 5.1.36
-- PHP Version: 5.2.1

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Database: `test`
--
-- --------------------------------------------------------

--
-- Table structure for table `categories`
--

CREATE TABLE IF NOT EXISTS `categories` (
  `id_cat` int(5) NOT NULL AUTO_INCREMENT,
  `name_cat` varchar(50) NOT NULL,
  PRIMARY KEY (`id_cat`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `categories`
--


-- --------------------------------------------------------

--
-- Table structure for table `members`
--

CREATE TABLE IF NOT EXISTS `members` (
  `id_user` int(5) NOT NULL AUTO_INCREMENT,
  `name` varchar(50) NOT NULL,
  `user` varchar(20) NOT NULL,
  `position` varchar(50) NOT NULL,
  `email` varchar(50) NOT NULL,
  `phone` varchar(20) NOT NULL,
  `password` text NOT NULL,
  `acces` smallint(2) NOT NULL DEFAULT '2',
  `photo` varchar(50) NOT NULL,
  `access_date` varchar(30) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id_user`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

--
-- Dumping data for table `members`
--

INSERT INTO `members` (`id_user`, `name`, `user`, `position`, `email`, `phone`, `password`, `acces`, `photo`, `access_date`) VALUES
(1, 'John Doe', 'admin', 'Administrator', 'youremail@yahoo.com', '088000000', 'admin', 1, '', '1309943902');

-- --------------------------------------------------------

--
-- Table structure for table `members_online`
--

CREATE TABLE IF NOT EXISTS `members_online` (
  `id_online` int(11) NOT NULL AUTO_INCREMENT,
  `id_user` int(11) NOT NULL DEFAULT '0',
  `id_session` varchar(128) NOT NULL,
  `date` varchar(14) NOT NULL,
  `last_click` varchar(14) NOT NULL,
  PRIMARY KEY (`id_online`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 AUTO_INCREMENT=3 ;

--
-- Dumping data for table `members_online`
--

INSERT INTO `members_online` (`id_online`, `id_user`, `id_session`, `date`, `last_click`) VALUES
(2, 1, '1oshjgj0um3e12hvuqbi5pko91', '1309944508', '1309944552');

-- --------------------------------------------------------

--
-- Table structure for table `projects`
--

CREATE TABLE IF NOT EXISTS `projects` (
  `id_project` int(10) NOT NULL AUTO_INCREMENT,
  `id_cat` int(5) NOT NULL,
  `name_project` varchar(50) NOT NULL,
  `description` varchar(100) NOT NULL,
  `break` smallint(1) NOT NULL,
  `status` smallint(1) NOT NULL,
  `deadline` varchar(30) NOT NULL,
  `timestamp` varchar(30) NOT NULL,
  PRIMARY KEY (`id_project`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `projects`
--


-- --------------------------------------------------------

--
-- Table structure for table `tasks`
--

CREATE TABLE IF NOT EXISTS `tasks` (
  `id_task` int(10) NOT NULL AUTO_INCREMENT,
  `id_group` int(10) NOT NULL,
  `id_user` int(10) NOT NULL,
  `task_name` varchar(50) NOT NULL,
  `status` enum('0','1') NOT NULL,
  `date_added` varchar(30) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id_task`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `tasks`
--


-- --------------------------------------------------------

--
-- Table structure for table `tasks_group`
--

CREATE TABLE IF NOT EXISTS `tasks_group` (
  `id_group` int(10) NOT NULL AUTO_INCREMENT,
  `id_project` int(10) NOT NULL,
  `group_name` varchar(50) NOT NULL,
  `deadline` varchar(30) NOT NULL,
  PRIMARY KEY (`id_group`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1 AUTO_INCREMENT=1 ;

--
-- Dumping data for table `tasks_group`
--

