<?php

/* LOGIN */
$lang['h1_member_login']          = "Member login";
$lang['input_team_member']        = "Team member";
$lang['remember_me']              = "Remember me";
$lang['login_button']             = "Login";
$lang['login_error_invaliduser']  = "Invalid username or password !";
$lang['login_error_emptyfileds']  = "Fill in the fields !";
$lang['login_error_notexistuser'] = "This user does not exist !";

/* DASHBOARD */
$lang['dashboard'] = "Dashboard";
$lang['calendar'] = "Calendar";
$lang['add_new'] = "Add new";
$lang['add_new_project'] = "Project";
$lang['add_new_project_title'] = "Add a new project.";
$lang['add_new_member'] = "Member";
$lang['add_new_member_title'] = "Add a new member";
$lang['add_new_category'] = "Category";
$lang['add_new_category_title'] = "Add a new category";
$lang['archive'] = "Archive";
$lang['completed_projects'] = "Completed";
$lang['completed_projects_title'] = "Completed projects";
$lang['paused_projects'] = "Paused";
$lang['paused_projects_title'] = "Paused projects";
$lang['my_tasks'] = "My tasks";
$lang['manage_categories'] = "Manage categories";
$lang['log_out'] = "Log out";
$lang['search_project'] = "Search project";
$lang['go_top'] = "Top";
$lang['close_window'] = "Close";
$lang['category_name'] = "Category name";
$lang['add_button'] = "Add";
$lang['name_and_surname'] = "Name and surname";
$lang['username'] = "Username";
$lang['select_access'] = "Select access";
$lang['access_administrator'] = "Administrator";
$lang['access_user'] = "User";
$lang['member_ocupation'] = "Position";
$lang['member_email'] = "E-mail address";
$lang['member_phone'] = "Phone number";
$lang['browse_button'] = "Browse";
$lang['project_name'] = "Project name";
$lang['project_description'] = "Description";
$lang['project_deadline'] = "Deadline";
$lang['project_options'] = "Options";
$lang['select_category'] = "Select category";
$lang['warning'] = "Warning !";
$lang['warning_msg_cat1'] = "Are you sure you want to delete this category ?";
$lang['warning_msg_cat2'] = "All content of this category will be deleted !";
$lang['warning_msg_grouptask1'] = "Are you sure you want to delete this group task ?";
$lang['warning_msg_grouptask2'] = "All content of {GROUPTASK_NAME} group task will be deleted !"; // DO NOT DELETE {GROUPTASK_NAME}
$lang['warning_msg_deletetask'] = "Are you sure you want to delete {TASK_NAME} task ?"; // DO NOT DELETE {TASK_NAME}
$lang['warning_msg_deletemember'] = "Are you sure you want to delete member";
$lang['warning_msg_deleteproject1'] = "Are you sure you want to delete this project ?";
$lang['warning_msg_deleteproject2'] = "All content of {PROJECTNAME} project will be deleted !"; // DO NOT DELETE {PROJECTNAME}
$lang['delete_button'] = "Delete";
$lang['no_projects_inprogress'] = "There are no projects in progress.";
$lang['helo_username'] = "Hello {USERNAME}, you have {TASKS} new {GRAMMER_TASK} !"; // DO NOT DELETE {USERNAME}, {TASKS}  AND {GRAMMER_TASK}
$lang['task_grammer1'] = "task";
$lang['task_grammer2'] = "tasks";
$lang['no_pause_complete_project'] = "There are currently no {PAGETITLE} projects."; // DO NOT DELETE {PAGETITLE}
$lang['paused'] = "paused";
$lang['completed'] = "completed";
$lang['projects_archive'] = "projects archive";
$lang['noproject_interval'] = "No projects was found within the selected interval.";
$lang['no_categories_manage'] = "No categories to manage !";
$lang['modify_button'] = "Modify";
$lang['modify_button_title'] = "Modify category";
$lang['delete_button_title'] = "Delete category";
$lang['add_tasks_in'] = "Add tasks in";
$lang['tasks_group_name'] = "Tasks group name";
$lang['task_nameinput'] = "Task";
$lang['select_member'] = "Select member";
$lang['task_incrementation'] = "Add one more task";
$lang['task_decrementation'] = "Delete a task";
$lang['project_paused'] = "The project was put on pause!";
$lang['project_unpaused'] = "The project has been resumed !";
$lang['project_completed'] = "You have successfully completed this project, congratulations!";
$lang['project_uncomplete'] = "The completed project was reloaded !";
$lang['modify_group'] = "Modify group";
$lang['modify_this_group'] = "Modify this group";
$lang['delete_this_group'] = "Delete this group";
$lang['are_responsible'] = "are responsible.";
$lang['is_responsible'] = "is responsible.";
$lang['user_deleted'] = "deleted";
$lang['projects_in_progress'] = "Projects in progress";
$lang['bar_progress'] = "Progress:";
$lang['in_progress'] = "in progress";
$lang['edit_profile'] = "Edit profile";
$lang['delete_profile'] = "Delete profile";
$lang['member_noprojects'] = "You are not currently involved in any project.";
$lang['member_modify_title'] = "Team member update";
$lang['delete_this_task_title'] = "Delete this task";
$lang['notasks_ingroup'] = "Currently there are no tasks in this group.";
$lang['add_newtasks'] = "Add tasks";
$lang['pause_button'] = "Pause";
$lang['unpause_button'] = "Unpause";
$lang['done_button'] = "Done";
$lang['undone_button'] = "Undone";
$lang['project_progress'] = "Progress: {TASKCOMPLETE} of {TASKNUMBER} completed tasks."; // DO NOT DELETE {TASKCOMPLETE} AND {TASKNUMBER}
$lang['project_modify'] = "Modify project";
$lang['search_noresult'] = "Your search did not return any results.";
$lang['delete_task'] = "Delete task";
$lang['notask_formember'] = "Currently there is no task for you.";
$lang['alert_notpicture'] = "Selected picture is not a picture !";
$lang['mytasks_number'] = "You have {TASKNUMBER} {GRAMMER_TASK} to complete."; // DO NOT DELETE {TASKNUMBER} AND {GRAMMER_TASK}

/* MODEL MANAGEMENT */
$lang['empty_projectname'] = "Please fill in the name of the project.";
$lang['empty_projectdescription'] = "Please complete project description.";
$lang['empty_projectdeadline'] = "Please select a deadline for this project.";
$lang['empty_projectcategory'] = "Please select the category that the project belongs to.";
$lang['duplicate_projectname'] = "The project name already exists in selected category.";
$lang['success_projectadd'] = "The project was successfully added.";
$lang['success_projectmodify'] = "The project was successfully changed.";
$lang['success_projectdelete'] = "The project was successfully deleted.";
$lang['invalid_projectid'] = "This project does not exist (invalid id).";
$lang['empty_membername'] = "Please fill in name and surname.";
$lang['empty_memberusername'] = "Please fill in the username.";
$lang['empty_memberaccess'] = "Please select access.";
$lang['duplicate_memberusername'] = "This username already exists, please chose another one.";
$lang['empty_memberposition'] = "Please fill the position of team member.";
$lang['empty_memberemail'] = "Please fill in the email adress.";
$lang['empty_memberphone'] = "Please fill in your phone number.";
$lang['empty_memberpassword1'] = "Please fill in your password.";
$lang['empty_memberpassword2'] = "Please complete the password verification.";
$lang['nomatch_memberpassword'] = "The two passwords do not match.";
$lang['success_memberadd'] = "The team member was successfully added.";
$lang['success_membermodify'] = "The team member was successfully modified.";
$lang['invalid_memberid'] = "This member does not exist (invalid id)."; 
$lang['success_memberdelete'] = "The project was successfully deleted.";
$lang['empty_categoryname'] = "Please fill in the name of the category.";
$lang['duplicate_categoryname'] = "This category name already exists, please think of another name.";
$lang['success_categoryadd'] = "The category was added successfully.";
$lang['invalid_categoryid'] = "This category does not exist (invalid id).";
$lang['success_categorymodify'] = "The category name was successfully modified.";
$lang['success_categorydelete'] = "The category was successfully deleted.";
$lang['empty_taskgroupname'] = "Please fill in the name of the tasks group.";
$lang['duplicate_taskgroupname'] = "This group name already exists, please think of another name.";
$lang['empty_taskgroupdeadline'] = "Please select a deadline for this project.";
$lang['empty_tasknr'] = "Please fill in the task";
$lang['empty_taskmembernr'] = "Please select one member for the task";
$lang['success_taskgroupadd'] = "Tasks have been added successfully.";
$lang['empty_notasks'] = "Please add at least one task.";
$lang['success_taskgroupmodify'] = "Task group has been successfully modified.";
$lang['invalid_taskgroupid'] = "Group ID cannot be found.";
$lang['success_taskgroupdelete'] = "Group tasks has been deleted successfully.";
$lang['invalid_groupid'] = "Group ID cannot be found.";
$lang['empty_groupname'] = "Please fill in the name of the group.";
$lang['duplicate_groupname'] = "This group name already exists, please think of another name.";
$lang['success_groupmodify'] = "Group name has been successfully modified.";
$lang['invalid_taskid'] = "Task ID cannot be found.";
$lang['empty_taskname'] = "Please fill in the task name.";
$lang['empty_taskmember'] = "Please select a member for this task.";
$lang['success_taskmodify'] = "The task name has been successfully modified.";
$lang['success_taskdelete'] = "Task was deleted successfully.";

/* CALENDAR */
$lang['calendar_day_sunday'] = "Sunday";
$lang['calendar_day_monday'] = "Monday";
$lang['calendar_day_tuesday'] = "Tuesday";
$lang['calendar_day_wednesday'] = "Wednesday";
$lang['calendar_day_thursday'] = "Thursday";
$lang['calendar_day_friday'] = "Friday";
$lang['calendar_day_saturday'] = "Saturday";

$lang['calendar_mounth_january'] = "January";
$lang['calendar_mounth_february'] = "February";
$lang['calendar_mounth_march'] = "March";
$lang['calendar_mounth_april'] = "April";
$lang['calendar_mounth_may'] = "May";
$lang['calendar_mounth_june'] = "June";
$lang['calendar_mounth_july'] = "July";
$lang['calendar_mounth_august'] = "August";
$lang['calendar_mounth_september'] = "September";
$lang['calendar_mounth_october'] = "October";
$lang['calendar_mounth_november'] = "November";
$lang['calendar_mounth_december'] = "December";
$lang['calendar_curentdate'] = "current date";
$lang['calendar_next'] = "Next";
$lang['calendar_back'] = "Back";

?>