$(document).ready(function()
{
    var slideSpd = 200;

    /* TASK SELECT */
    $('div#task-group div.wrap-task div.task input, div#wrap-tasks div.inner div.project div.task input').click(function () {
        if($(this).parents().filter('div.task').hasClass('finished')) {
            $(this).parents().filter('div.task').removeClass('finished')
        } else {
            $(this).parents().filter('div.task').addClass('finished')
        }
    });
    
    /* OPTIONS */
    $('ul#options > li').hover(function() {
        dd = $(this).find('a.dropdown-2').addClass('selected');
        lw = $(this).find('div.link-wrap').slideDown(slideSpd);
    },function() {
        lw.hide();
        dd.removeClass('selected');
    });
    
    /* FIX IE SELECT */
    if ( $.browser.msie ) { $('option').css({'color':'#FFF','background':'#3F3F3C'}); }
    
    /* datepicker initialization */
    $("#task_deadline").datepicker({ dateFormat: 'mm-dd-yy' });
    $("#package_startdate").datepicker({ dateFormat: 'mm-dd-yy' });
    $("#mod_package_startdate").datepicker({ dateFormat: 'mm-dd-yy' });
    $("#modtask_deadline").datepicker({ dateFormat: 'mm-dd-yy' });
    $("#mod_project_deadline").datepicker({ dateFormat: 'mm-dd-yy' });
    
    $('#archive_start_date').datepicker({
        dateFormat: 'mm-dd-yy',
        onSelect: function(dateText, inst) {
            var end_date   = $("#archive_end_date").val();
            var id_archive = $("#id_archive").val();
            
            $('#hide_when_searching').hide();
            $('#project').hide();
            $('#inner_projects_found').load(base_url+"index.php/dashboard/view_controller/box_archive_period/"+dateText+"_"+end_date+"_"+id_archive);
            $('#inner_projects_found').show();
        }
    });
    
    $('#archive_end_date').datepicker({
        dateFormat: 'mm-dd-yy',
        onSelect: function(dateText, inst) {
            var start_date = $("#archive_start_date").val();
            var id_archive = $("#id_archive").val();
            
            $('#hide_when_searching').hide();
            $('#project').hide();
            $('#inner_projects_found').load(base_url+"index.php/dashboard/view_controller/box_archive_period/"+start_date+"_"+dateText+"_"+id_archive);
            $('#inner_projects_found').show();
            
        }
    });
    
    calendar();
    checklogin();
});

function tasks()
{
    checklogin();
    
    var name             = $('#task_groupname').val();
    var deadline         = $('#task_deadline').val();
    var id_project        = $('#task_idproject').val();
    var id_category      = $('#task_idcategory').val();
    var number_fieldtask = $('#number_fieldtask').val();
    var task             = "";
    var membru           = "";
    
    for(i=1; i<= number_fieldtask; i++) {
        task   += $('#task_name'+i).val()+"#";
        membru += $('#task_members'+i).val()+"#";
    }
    
    $.post(base_url+"index.php/dashboard/add_task", {name: name, deadline: deadline, task: task, membru: membru, id_project: id_project, id_category: id_category, number_fieldtask: number_fieldtask},

        function(data) {
            
            if(data.result=="null"){
                responce_display('#error_addtask','error',data.result_message);
                
                $('#project').show();
                $('#loading_page').hide();
            }
            
            if(data.result=="ok") {
                responce_display('#error_addtask','ok',data.result_message);
                
                $('#inner_member_nrtasks').load(base_url+"index.php/dashboard/view_controller/box_member_tasknr", function() {
                    updateproject(id_project, id_category);
                });
                
                /* Hide window (add tasks) and mask */
                $('#add-task').hide();
                $('#mask').hide();
            }
            
        }, "json");
}

function modify_taskgroup(id_project,id_group,id_category)
{
    checklogin();
    
    var name                = $('#modtask_groupname').val();
    var deadline            = $('#modtask_deadline').val();
    var number_fieldtask    = $('#modnumber_fieldtask').val();
    var newnumber_fieldtask = $('#newnumber_fieldtask').val();
    var task = "";
    var membru = "";
    var idtask = "";
    var newtask = "";
    var newmember = "";

    if(number_fieldtask > 1) {
        for(i=1; i<number_fieldtask; i++) {
            task   += $('#modtask_name'+i).val()+"#";
            membru += $('#modtask_members'+i).val()+"#";
            idtask += $('#modtask'+i).val()+"#";
        }
    } else {
        number_fieldtask = "0";
        membru = "0";
        task = "0";
        idtask = "0";
    }

    
    if(newnumber_fieldtask > 0) {
        for(k=1; k<=newnumber_fieldtask; k++) {
            newtask   += $('#newtask_name'+k).val()+"#";
            newmember += $('#newtask_members'+k).val()+"#";
        }
    } else {
        newtask = "0";
        newmember = "0";
        newnumber_fieldtask = "0";
    }

    $.post(base_url+"index.php/dashboard/modify_taskgroup", {name: name, deadline: deadline, task: task, membru: membru, newtask: newtask, idtask: idtask, newmember: newmember, id_project: id_project, id_group: id_group, number_fieldtask: number_fieldtask, newnumber_fieldtask: newnumber_fieldtask, id_category: id_category},

        function(data) {
            
            if(data.result=="null"){
                responce_display('#error_modifytaskgroup','error',data.result_message);
            }
            if(data.result=="ok") {
                responce_display('#error_modifytaskgroup','ok',data.result_message);
                
                $('#inner_member_nrtasks').load(base_url+"index.php/dashboard/view_controller/box_member_tasknr");
                //setTimeout(function() { updateproject(id_project, id_category); } , 3000);
                updateproject(id_project, id_category);
                
                /* Hide add window and mask */
                $('#modify_taskgroup').hide();
                $('#mask').hide();

            }

        }, "json");
}

function updateproject(id_project, id_category)
{
    checklogin();
    
    $('#content').load(base_url+"index.php/dashboard/view_controller/box_categories_content/1");
    setTimeout(function() {
        if (!auxx) {
            auxx = id_category;
            $.get(base_url+"index.php/dashboard/view_controller/box_project/"+id_category+"/"+id_project, 
            function(data) { 
                $("#project").html(data);
                $("#project").fadeIn('slow');
                $('#loading_page').hide();
                auxx = "";
            });
            $('#box_addtask').load(base_url+"index.php/dashboard/view_controller/box_grouptask_add/"+id_category+"/"+id_project);
            $('#mask').hide();
        }
    } , 2000);
}

function task_completed(idtask,id_project,id_group)
{
    checklogin();
    
    var check = $('input[name=task'+idtask+']').is(':checked');
    if(check == false) { var status = 0; } else { var status = 1; }
    
    $.post(base_url+"index.php/dashboard/update_task", {idtask: idtask, status: status},

        function(data) {
            
            if(data.result=="null"){
                //NULL
            }
            if(data.result=="ok") {
                //OK
                if(id_group != 0) {
                    $('#inner_project_progress').load(base_url+"index.php/dashboard/view_controller/box_project_progress/"+id_project+"/2");
                    $('#inner_content_progress'+id_project).load(base_url+"index.php/dashboard/view_controller/box_project_progress/"+id_project+"/1");
                    $('#project_taskcomplete'+id_group).load(base_url+"index.php/dashboard/view_controller/box_task_complete/"+id_group);
                } else {
                    $('#inner_remaining_tasks').load(base_url+"index.php/dashboard/view_controller/box_tasks_remaining");
                }
                $('#inner_member_nrtasks').load(base_url+"index.php/dashboard/view_controller/box_member_tasknr");
            }

        }, "json");
}

function updateform_modificagrup(id_group, id_project)
{
    checklogin();
    
    $('#box_updateform_modifygrouptask').load(base_url+"index.php/dashboard/view_controller/box_grouptask_modify/"+id_group+"/"+id_project, function() {
        modal('#modify_taskgroup');
    });
}

function updateform_modifypackage(id_type, id_package)
{
    checklogin();
    
    $('#box_modifypackage').load(base_url+"index.php/dashboard/view_controller/box_package_modify/"+id_type+"/"+id_package, function() {
        modal('#modify_package');
    });
}

function update_modifyproject(id_project, id_category)
{
    checklogin();
    
    $('#box_modifyproject').load(base_url+"index.php/dashboard/view_controller/box_project_modify/"+id_project+"/"+id_category, function() {
        modal('#modify_project');
    });
}

function update_modifyclient(id_client)
{
    checklogin();
    
    $('#box_modifyproject').load(base_url+"index.php/dashboard/view_controller/box_client_modify/"+id_client, function() {
        modal('#modify_client');
    });
}

function update_deleteproject(id_project)
{
    checklogin();
    
    $('#box_deleteproject').load(base_url+"index.php/dashboard/view_controller/box_project_delete/"+id_project, function() {
        modal('#delete_project');
    });
}

function update_deleteclient(id_client)
{
    checklogin();
    
    $('#box_deleteproject').load(base_url+"index.php/dashboard/view_controller/box_client_delete/"+id_client, function() {
        modal('#delete_client');
    });
}

function status_project(status,activ,id_project)
{
    checklogin();
    
    $.post(base_url+"index.php/dashboard/status_project", {status: status, activ: activ, id_project: id_project},

        function(data) {
            if(data.result=="null"){

            }
            if(data.result=="ok") {
                
                var name = "";
                var status_position = "";
                var message = "";
                
                if(activ == 0) {
                    if(status == 'complete') {   
                        name = Language.translate("done_button");
                        message = "<span class=\"text ok\">"+ Language.translate("project_uncomplete") +"</span>";
                    } else { 
                        name = Language.translate("paused_projects");
                        message = "<span class=\"text ok\">"+ Language.translate("project_unpaused") +"</span>";
                    }
                    
                    status_position = 1;
                    if($('#inner_boxproject'+id_project)) {
                        $('#inner_boxproject'+id_project).show();
                    }
                    
                } else {
                    if(status == 'complete') {
                        name = Language.translate("undone_button");
                        message = "<span class=\"text ok\">"+ Language.translate("project_completed") +"</span>";
                    } else { 
                        name = Language.translate("unpause_button");  
                        message = "<span class=\"text ok\">"+ Language.translate("project_paused") +"</span>"; 
                    }
                    status_position = 0;
                    if($('#inner_boxproject'+id_project)) {
                        $('#inner_boxproject'+id_project).hide();
                    }
                }
                
                var button = "<a href=\"javascript:void(0);\" onclick=\"status_project('"+ status +"','"+ status_position +"','"+ id_project +"');\" title=\""+ name +"\">"+ name +"</a>";
                $('#update'+status).html(button);
                $('#statusmessage_'+status).html(message);
                
                modal('#'+status);
                
                /* Reload the page if location is located on archive */
                var location = $('#menu_location').val();
                if(location == 1) { archive(status); }
                $('#inner_member_nrtasks').load(base_url+"index.php/dashboard/view_controller/box_member_tasknr");
            }
    }, "json");
}

function delete_project(id_project)
{
    checklogin();
    
    var id_project = id_project;
    
    $.post(base_url+"index.php/dashboard/delete_project", {id_project: id_project},

        function(data) {
            if(data.result=="null"){
                responce_display('#error_deleteproject','error',data.result_message);
            }
            if(data.result=="ok") {
                responce_display('#error_deleteproject','ok',data.result_message);

                $('#tabs').load(base_url+"index.php/dashboard/view_controller/box_categories");
                $('#content').load(base_url+"index.php/dashboard/view_controller/box_categories_content", function() {
                    $('#loading_page').hide();
                });
            }

    }, "json");
}

function form_deletegroup(id_group,id_project)
{
    checklogin();
    
    var group_name = $('#update_groupname'+id_group).html();
    var button     = "<span class=\"btn mlt\">&nbsp;</span><span class=\"btn-bg\" onclick=delete_grouptasks('"+id_group+"','"+id_project+"');>Delete</span><span class=\"btn mrt\">&nbsp;</span></a>";
    
    $('#delete_groupname').html(group_name);
    $("#delete_group").html(button);
    $('#error_deletegroupname').hide();
}

function form_deletetask(id_task,id_project,id_group)
{
    checklogin();
    
    var task_name = $('#taskname_'+id_task).html();
    var button    = "<span class=\"btn mlt\">&nbsp;</span><span class=\"btn-bg\" onclick=delete_task('"+id_task+"','"+id_project+"','"+id_group+"');>Delete</span><span class=\"btn mrt\">&nbsp;</span></a>";
    
    $('#delete_taskname').html(task_name);
    $("#delete_task").html(button);
    $('#error_deletetask').hide();
}

function form_deletecategory(id_cat)
{
    checklogin();
    
    var button = "<span class=\"btn mlt\">&nbsp;</span><span class=\"btn-bg\" onclick=delete_category('"+id_cat+"');>Delete</span><span class=\"btn mrt\">&nbsp;</span></a>";
    $("#delete_category_button").html(button);
}

function delete_grouptasks(id_group,id_project)
{
    checklogin();
    
    $.post(base_url+"index.php/dashboard/delete_grouptasks", {id_group: id_group},

        function(data) {
            
            if(data.result=="null"){
                responce_display('#error_deletegroupname','error',data.result_message);
            }
            if(data.result=="ok") {
                responce_display('#error_deletegroupname','ok',data.result_message);
                
                $('#project .taskgroup_'+id_group).remove();
                $('#inner_project_progress').load(base_url+"index.php/dashboard/view_controller/box_project_progress/"+id_project+"/2");
                $('#inner_content_progress'+id_project).load(base_url+"index.php/dashboard/view_controller/box_project_progress/"+id_project+"/1");
                $('#inner_member_nrtasks').load(base_url+"index.php/dashboard/view_controller/box_member_tasknr");
                
            }

        }, "json");
}

function delete_task(idtask,id_project,id_group)
{
    checklogin();
    
    var input_length = $(".taskgroup_"+id_group+" input").length;
    
    $.post(base_url+"index.php/dashboard/delete_task", {idtask: idtask, id_group: id_group},

        function(data) {
            
            if(data.result=="null"){
                responce_display('#error_deletetask','error',data.result_message);
            }
            if(data.result=="ok") {
                responce_display('#error_deletetask','ok',data.result_message);

                $('#taskbox_'+idtask).remove();
                
                if(id_project != 0 && id_group != 0 && input_length != 1) {
                    $('#group_responsible'+id_group).load(base_url+"index.php/dashboard/view_controller/box_grouptask_responsable/"+id_group);
                    $('#inner_project_progress').load(base_url+"index.php/dashboard/view_controller/box_project_progress/"+id_project+"/2");
                    $('#inner_content_progress'+id_project).load(base_url+"index.php/dashboard/view_controller/box_project_progress/"+id_project+"/1");
                    $('#project_taskcomplete'+id_group).load(base_url+"index.php/dashboard/view_controller/box_task_complete/"+id_group);
                }
                if(id_project != 0 && input_length == 1){
                    var id_category = $('#delete_task_idcategory').val();
                    $(".taskgroup_"+id_group).hide();
                    updateproject(id_project, id_category);
                }
                if(id_project == 0 && id_group == 0) my_tasks();
                
                $('#inner_member_nrtasks').load(base_url+"index.php/dashboard/view_controller/box_member_tasknr");

            }

        }, "json");
}

function task_generation(idgen,idnew)
{
    checklogin();
    
    var i = $('#inner_fieldtask .field-task').size() + 1;
    var new_field = $('#inner_new_fieldtask .field-task').size() + 1;
    
    if(idgen == 1) {
        if(idnew == 1) {
        
            $('#field_model .field-task .fld-task input').attr("id", "task_name"+i);
            $('#field_model .field-task .fld-member select').attr("id", "task_members"+i);
            $('#number_fieldtask').val(i);
            var campmodel = $('#field_model').html();
            $(campmodel).appendTo('#inner_fieldtask');
            i++;
            
        } else if (idnew == 2) {
        
            if(i > 2) {
                $('#inner_fieldtask .field-task:last').remove();
                i--;
                var k = $('#inner_fieldtask .field-task').size();
                $('#number_fieldtask').val(k);
            } else {
                $('#number_fieldtask').val('1');
            }
            
        }
    }
    
    if(idgen == 2) {
        if(idnew == 1) {
            $('#mod_field_model .field-task .fld-task input').attr("id", "newtask_name"+new_field);
            $('#mod_field_model .field-task .fld-member select').attr("id", "newtask_members"+new_field);
            $('#newnumber_fieldtask').val(new_field);
            var mod_field_model = $('#mod_field_model').html();
            $(mod_field_model).appendTo('#inner_new_fieldtask');
            new_field++;
            
        } else if (idnew == 2) {
        
            if(new_field > 1) {
                $('#inner_new_fieldtask .field-task:last').remove();
                new_field--;
                var j = $('#inner_new_fieldtask .field-task').size();
                $('#newnumber_fieldtask').val(j);
            } else {
                $('#newnumber_fieldtask').val('0');
            }
        }
    }
}

if($('#modify_member_photo').length)
{
    checklogin();
    
    jQuery(function(){ 
        var upload = new AjaxUpload(jQuery('#modify_member_photo'), {
            action: base_url+'index.php/dashboard/upload_image',
            autoSubmit: false,
            onChange: function(file, ext){
                $('#modify_member_file').val(file);
            },
            onSubmit: function(file, ext){
                // Allow only images. You should add security check on the server-side.
                if (ext && /^(jpg|png|jpeg|gif)$/i.test(ext)) {
                    var id_user = $('#modify_member_id').val();
                    var photo   = $('#modify_member_photo_value').val();
                    this.setData({
                        'id_user' : id_user,
                        'photo' : photo,
                    });
                } else {
                    alert(Language.translate("alert_notpicture"));
                    return false;
                }
            },
            onComplete: function(file, response){
                //alert(response);
            }
        });
        
        jQuery('#modify_member').click(function(){
            modify_member();
            setTimeout(function() {
                var result = $('#modify_member_done').val();
                if(result == 1) {
                    upload.submit();
                    setTimeout(function() { 
                        $('#users').load(base_url+"index.php/dashboard/view_controller/box_member_online");
                    } , 3000);
                }
            } , 500);
            return false;
        });
    });
}


function modify_member()
{
    checklogin();
    
    var id_user   = $('#modify_member_id').val();
    var name      = $('#modify_member_name').val();
    var username  = $('#modify_member_username').val();
    var ocupation = $('#modify_member_ocupation').val();
    var email     = $('#modify_member_email').val();
    var phone     = $('#modify_member_phone').val();
    var password1 = $('#modify_member_password1').val();
    var password2 = $('#modify_member_password2').val();
    var acces     = $('#modify_member_rank').val();
    
    $.post(base_url+"index.php/dashboard/modify_member", {name: name, acces: acces, username: username, ocupation: ocupation, email: email, phone: phone, password1: password1, password2: password2, id_user: id_user},

        function(data) {
            if(data.result=="null"){
                responce_display('#error_modifymembers','error',data.result_message);
                
                $('#modify_member_done').val('0');
            }

            if(data.result=="ok") {
                responce_display('#error_modifymembers','ok',data.result_message);
                
                /* values for loading picture */
                $('#modify_member_done').val('1');
                $('#modify_member_file').val('');
                
            }
        }, "json");
}

function delete_member(id_user)
{
    checklogin();
    
    var id_user = id_user;
    
    $.post(base_url+"index.php/dashboard/delete_member", {id_user: id_user},

        function(data) {
            if(data.result=="null"){
                responce_display('#error_deletemember','error',data.result_message);
            }
            
            if(data.result=="ok") {
                responce_display('#error_deletemember','ok',data.result_message);
                dashboard();
            }

    }, "json");
}

function calendar(month,year)
{
    checklogin();
    
    $('#boxcalendar').load(base_url+"index.php/dashboard/view_controller/box_calendar/"+month+"/"+year);
}